/*
 * Copyright (C) 2003 Moris Ravasio <moris.r@tin.it>
 */

#define MAX_PARPORT		4
#define MAX_USB_PORT	4

#include "kink.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE Printer Ink Level Monitor Utility\n\n"
							"Based on libinklevel, from Markus Heinz");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("kink", I18N_NOOP("KInk"), version, description,
                     KAboutData::License_GPL, "(C) 2003 Moris Ravasio", 0,
										 "http://www.bottanuco.com/moris.r/kink","moris_ravasio@hotmail.com");
    about.addAuthor( "Moris Ravasio", 0, "moris_ravasio@hotmail.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;

    KInk *mainWin = 0;
    mainWin = new KInk();
    app.setMainWidget( mainWin );

		QRect desk;
		desk = QApplication::desktop()->geometry();
		mainWin->move(desk.center() - mainWin->rect().center());

		KConfig *conf = kapp->config();

		conf->setGroup("General");
		mainWin->currDeviceIdx = conf->readNumEntry("LastDeviceID",0);

		mainWin->initializeUI();
    mainWin->show();

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
		int appCallBack = app.exec();

		conf->setGroup("General");
		conf->writeEntry("LastDeviceID",mainWin->currDeviceIdx);
		conf->sync();

		return appCallBack;
}

